Results 1 to 5 of 5
  1. #1
    Member
    Join Date
    Jun 2012
    Location
    Berlin
    Posts
    4

    Question Lightstreamer 5.1.1 Moderato Edition not free usable Error

    Hello there,

    i downloaded (www.lightstreamer.com/downloadfree.htm) and installed the Lightstreamer Moderato Edition 5.1.1. and i want to use it free for production purposes. But when i start the Lightstreamer, the command line says:
    "23.Mai.14 12:34:13,773 <ERROR> Missing license configuration parameters in configuration file.
    23.Mai.14 12:34:13,777 <ERROR> No license configured
    23.Mai.14 12:34:13,778 < WARN> A proper Free License was not configured. Server starting in unregistered mode. Get your Free License from http://www.lightstreamer.com/downloadfree.htm
    23.Mai.14 12:34:13,780 < WARN> Lightstreamer Server in unregistered mode only supports a 60 minutes lifetime. After that time the Server will be shut down.
    23.Mai.14 12:34:13,783 < INFO> Lightstreamer Server starting in Moderato edition"

    What do i need to do, to use the free license, which should be delivered in the Moderato version?

    stay tuned,
    mluecke

  2. #2
    Administrator
    Join Date
    Feb 2012
    Location
    Milano
    Posts
    543
    Hi mluecke,

    I confirm you that the Ligtstreamer 5.1.1 Moderato Edition can be used for free even in production environments and does not require any license key.
    The error messages you post here are quite strange since they seem to refer to the old version 4.x that indeed requires a license key.

    Please can you look for message like this "Lightstreamer Server x.x.x build xxxx" in the server log in order to ascertain the version in use?

    Thank you,
    Giuseppe

  3. #3
    Member
    Join Date
    Jun 2012
    Location
    Berlin
    Posts
    4
    Hi,
    thanks for ur respond.

    I deleted the lightstreamer and made sure i installed the new version again. When i deleted the old version, i had problems to delete the folder .\bin\windows and .\adapters\myapplication although they were empty.
    After in installed and configured the new version of Lightstreamer, i took a look into the log file and i found "Lightstreamer Server 4.0.3 build 1513.1.11 starting...".
    Something is not right here.

    stay tuned,
    mluecke
    Last edited by mluecke; May 26th, 2014 at 09:40 AM.

  4. #4
    Administrator
    Join Date
    Feb 2012
    Location
    Milano
    Posts
    543
    Hi mluecke,

    Yes, I confirm you that something is not working properly.
    It seems that somewhere on your machine there is a 4.0.3 version and you're still referring to it.

    If you use the factory launch scripts could you check how is defined the environment variable LS_HOME?

    Thank you,
    Giuseppe

  5. #5
    Member
    Join Date
    Jun 2012
    Location
    Berlin
    Posts
    4
    i got this problem solved, i forgot to put the libraries of the new version in the jre path.
    thanks for ur help.

    stay tuned,
    mluecke

 

 

Similar Threads

  1. Replies: 0
    Last Post: January 22nd, 2013, 12:49 PM
  2. LSClient Not giving any error if the LS Server is not running
    By shreyaspurohit in forum Client APIs
    Replies: 6
    Last Post: December 15th, 2008, 02:27 PM
  3. Replies: 1
    Last Post: November 8th, 2007, 09:31 AM

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
All times are GMT +1. The time now is 12:05 AM.